%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:		rutgers-repository-utils
Version:	1.3
Release:	1%{?dist}
Summary:	Python scripts for miscellaneous repository management
Group:		System Environment/Base
License:	GPLv2+
URL:		https://github.com/oss/rutgers-repository-utils
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch

Provides:       createrepo
Provides:       repoclosure
Requires:	yum-utils
Requires:       centos-release
Requires:       python
BuildRequires:	python

%description
These Python scripts are based on yum-utils and createrepo. Together, they
create repository directories and do dependency checking.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --skip-build --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{python_sitelib}/repoutils/
%{python_sitelib}/rutgers_repository_utils-%{version}-py2.6.egg-info

%changelog
* Fri Feb 21 2014 Kyle Suarez <kds124@nbcs.rutgers.edu> - 1.3-1
- Version bump

* Fri Feb 21 2014 Kyle Suarez <kds124@nbcs.rutgers.edu> - 1.2-1
- Version upgrade

* Fri Feb 21 2014 Kyle Suarez <kds124@nbcs.rutgers.edu> - 1.1-1
- Upgrade to the latest version

* Thu Jan 30 2014 Kyle Suarez <kds124@nbcs.rutgers.edu> - 1.0-2
- Version bump

* Fri Jan 24 2014 Kyle Suarez <kds124@nbcs.rutgers.edu> - 1.0-1
- First build for Rutgers CentOS 6
